OCF_PACEMAKER_HEALTH(7)

NAME
ocf_pacemaker_HealthIOWait - System health based on CPU iowait measurement

SYNOPSIS

OCF_RESKEY_state=string [OCF_RESKEY_yellow_limit=string] [OCF_RESKEY_red_limit=string] HealthIOWait [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

System health agent that measures the CPU iowait via top and updates the #health-iowait attribute.

SUPPORTED PARAMETERS

OCF_RESKEY_state = string [/health-iowait-.state]
    State file

    Location to store the resource state in.

OCF_RESKEY_yellow_limit = string [10]
    Upper limit for yellow health attribute

    Upper limit of iowait percentage to switch the health attribute to yellow. I.e. the #health-iowait will go yellow if the %iowait of the CPU gets higher than 10%.

OCF_RESKEY_red_limit = string [15]
    Upper limit for red health attribute

    Upper limit of iowait percentage to switch the health attribute to red. I.e. the #health-iowait will go red if the %iowait of the CPU get higher than 15%.

AUTHOR

Andrew Beekhof <andrew@beekhof.net>
    Author.